> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Proxy IP by Link

> Changes the external mobile IP using a link and `Limited` API key.

<Warning>
  This endpoint is intended for use with `Limited` API keys and is less secure than the `POST` method, as the API key
  is exposed in the URL. For a more secure method, follow the instructions here: [Change IP](/api-reference/proxies/proxy-change-ip).
</Warning>


## OpenAPI

````yaml GET /v1/proxies/changeip/{limitedApiKey}/{proxyName}
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/changeip/{limitedApiKey}/{proxyName}:
    get:
      description: Changes the external mobile IP using a link and `Limited` API key.
      parameters:
        - name: limitedApiKey
          in: path
          description: >-
            Replace `{limitedApiKey}` in the url path with
            `YOUR_LIMITED_API_KEY`.
          required: true
          schema:
            type: string
        - name: proxyName
          in: path
          description: Replace `{proxyName}` in the url path with `YOUR_PROXY`.
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: Reset proxy command sent to device successfully.
                  data:
                    $ref: '#/components/schemas/proxy-change-ip'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security: []
components:
  schemas:
    proxy-change-ip:
      type: object
      properties:
        proxy_name:
          type: string
          description: Unique identifier of the proxy server
          example: ILL-US-AU1-9999
        last_ip_change:
          type: string
          format: date-time
          description: Timestamp of when the proxy IP was last changed
          example: '2050-12-04T17:43:16.407+00:00'
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found

````